﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FormatProviderCon
{
    public enum DaysOfWeek { Monday = 1, Tuesday = 2 };

    class Program
    {
        static void Main(string[] args)
        {
            long acctNumber;
            double balance;
            DaysOfWeek wday;
            string output;

            acctNumber = 104254567890;
            balance = 16.34;
            wday = DaysOfWeek.Monday;

            decimal d = 0;
            decimal.TryParse("15.256", System.Globalization.NumberStyles.Any, new AcctNumberFormat(), out d);
            Console.WriteLine(d);

            output = String.Format(new AcctNumberFormat(),
                                   "On {2}, the balance of account {0:H} was {1:C2}.",
                                   acctNumber, balance, wday);
            Console.WriteLine(output);

            wday = DaysOfWeek.Tuesday;
            output = String.Format(new AcctNumberFormat(),
                                   "On {2}, the balance of account {0:I} was {1:C2}.",
                                   acctNumber, balance, wday);
            Console.WriteLine(output);

            Console.ReadLine();
        }
    }
}
